Batch delete SLO instances

Base URL
https://{kibana_url}
  • POST /api/observability/slos/_delete_instances
  • POST /s/{space_id}/api/observability/slos/_delete_instances
Auth

The deletion occurs for the specified list of sloId and instanceId. You must have all privileges for the SLOs feature in the Observability section of the Kibana feature privileges.

Required authorization

Privileges slo_write

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

list object[] required

An array of slo id and instance id

excludeRollup boolean
instanceId string required

The SLO instance identifier

sloId string · min length: 8 · max length: 48 · pattern: ^[a-z0-9-_]+$ required

The identifier of the SLO.

Responses

204

Successful request

Bad request

application/json
error string required
message string required
statusCode number required

Unauthorized response

application/json
error string required
message string required
statusCode number required

Forbidden response

application/json
error string required
message string required
statusCode number required
Base URL
https://{kibana_url}